import 'enum.dart';

abstract class GroupManagerPlatform {
  void init();

  Future<String> createGroup({
    String? groupId,
    required groupName,
    required TIMGroupType groupType,
    List<String>? memberList,
    String notification = '',
    String introduction = '',
    String faceUrl = '',
    TIMGroupAddOption addOption = TIMGroupAddOption.any,
    bool isAllMuted = false,
  });

  Future<void> dissolveGroup({
    required String groupId,
  });

  Future<void> joinGroup({
    required String groupId,
    String helloMessage = '',
  });

  Future<void> quitGroup({
    required String groupId,
  });

  void dispose() {}
}
