import 'dart:async';

import 'enum.dart';
import 'event.dart';

abstract class TIMSdkPlatform {
  StreamController<TIMEvent> eventStreamController = StreamController.broadcast();

  Stream<TIMEvent> get eventListener {
    return eventStreamController.stream;
  }

  Future<String> get sdkVersion;

  Future<void> init({
    required int appId,
    TIMLogLevel logLevel = TIMLogLevel.off,
  });

  Future<void> unInit();

  Future<void> login({
    required String userId,
    required String userSign,
  });

  Future<void> logout();

  void dispose() {
    eventStreamController.close();
  }
}
