class MessageBase {
  MessageBase({
    required this.senderUserId,
    required this.element,
  });

  final String senderUserId;
  final MessageElement element;
}

class Message extends MessageBase {
  Message({
    required String senderUserId,
    required MessageElement element,
  }) : super(
          senderUserId: senderUserId,
          element: element,
        );
}

class GroupMessage extends MessageBase {
  GroupMessage({
    required String senderUserId,
    required MessageElement element,
    required this.groupId,
    // required this.groupName,
  }) : super(
          senderUserId: senderUserId,
          element: element,
        );

  final String groupId;
  // final String groupName;
}

class MessageElement {}

class TextMessageElement extends MessageElement {
  TextMessageElement({
    required this.text,
  });

  final String text;
}

class CustomMessageElement extends MessageElement {
  CustomMessageElement({
    required this.data,
  });

  final List<int> data;
}
